<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
 * Copyright (C) INRIA - 
 * 
 * This file must be used under the terms of the CeCILL.
 * This source file is licensed as described in the file COPYING, which
 * you should have received as part of this distribution.  The terms
 * are also available at    
 * http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
 *
 -->
<refentry version="5.0-subset Scilab" xml:id="strcat" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns5="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">
  <info>
    <pubdate>$LastChangedDate: 2008-01-07 16:57:13 +0200 (Mon, 07 Jan
    2008)$</pubdate>
  </info>

  <refnamediv>
    <refname>strcat</refname>

    <refpurpose>concatenate character strings</refpurpose>
  </refnamediv>

  <refsynopsisdiv>
    <title>Calling Sequence</title>

    <synopsis>txt=strcat(vector_of_strings [,string_added])
txt=strcat(vector_of_strings [,string_added],["flag"])</synopsis>
  </refsynopsisdiv>

  <refsection>
    <title>Parameters</title>

    <variablelist>
      <varlistentry>
        <term>vector_of_strings</term>

        <listitem>
          <para>vector of strings</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>string_added</term>

        <listitem>
          <para>string added, default value is the emptystr
          <literal>""</literal></para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>txt</term>

        <listitem>
          <para>string</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>"flag"</term>

        <listitem>
          <para>string ( "r" for return a column matrix, "c" for return a row
          matrix)</para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>

  <refsection>
    <title>Description</title>

    <para><literal>txt=strcat(vector_of_strings)</literal> concatenates
    character strings :
    <literal>txt=vector_of_strings(1)+...+vector_of_strings(n)</literal></para>

    <para><literal>txt=strcat(vector_of_strings,string_added)</literal>
    returns
    <literal>txt=vector_of_strings(1)+string_added+...+string_added+vector_of_strings(n)</literal>.</para>

    <para>The plus symbol does the same: <literal>"a"+"b"</literal> is the
    same as <literal>strcat(["a","b"]).</literal></para>

    <para><literal>If size of vector_of_strings is one, it returns
    txt=vector_of_strings(1); </literal></para>

    <para><literal>strcat('A','B') returns 'A' and not 'AB' as
    strcat(['A','B'])</literal></para>
  </refsection>

  <refsection>
    <title>Examples</title>

    <programlisting role="example"><![CDATA[ 
strcat(string(1:10),',')
strcat(["a","b"])
strcat(["a","b"],'|')
strcat('A')
strcat('A','B')
strcat(['A','B'])
strcat(['A','B'],'')
 ]]></programlisting>
  </refsection>

  <refsection>
    <title>See Also</title>

    <simplelist type="inline">
      <member><link linkend="string">string</link></member>

      <member><link linkend="strings">strings</link></member>
    </simplelist>
  </refsection>
</refentry>
